// Style subscribe form
.mc4wp-response {
	color: red;
	a {
		color: red;
	}
}
.ova-subscribe-form-wrapper {
    .ova-subscribe-form {
		position: relative;
		display: flex;
		
		input[type="email"] {
			padding: 14px 14px 14px 24px;
			width: 100%;
			border: none;
			border-radius: 0;
			font-family: var(--primary-font);
			font-size: 14px;
			line-height: 1;
			font-weight: 500;
			color: var(--heading);
			margin-bottom: 8px;
			&::placeholder {
				font-family: var(--primary-font);
				font-size: 14px;
				line-height: 1;
				font-weight: 500;
				color: var(--heading);
			}

			&:-webkit-autofill {
			    transition-delay: 600s; 
			}
 
		}

		button[type="submit"] {
			display: inline-flex;
			justify-content: center;
			align-items: center;
	    	width: 52px;
	    	height: 51px;
	    	border-radius: 0; 
	    	border: none;
	    	background-color: var(--primary);
	    	i {
				display: inline-flex;
		    	font-size: 18px;
		    	color: #fff;
			}
		}
	}

	label {
		color: #B0A9C0;
		display: inline-flex;
		line-height: 1.6;
		input[type="radio"] {
			vertical-align: middle;
			display: inline-block;
			min-width: 16px;
    		width:16px;
    		height: 16px;
    		margin: 5px 8px 0 0;
    	} 
    	a {
    		color: #B0A9C0;
    	}
	}
}

.ova-subscribe-form-2 {
	.ova-subscribe-form-wrapper {
		.ova-subscribe-form {
			border-bottom: 1.5px solid rgb(255, 255, 255, 0.1);
			margin-bottom: 25px;
			input[type="email"] {
				background-color: transparent;
				font-size: 16px;
				color: #fff;
				padding: 0 0 0 2px;
				margin-bottom: 0;
				&::placeholder {
					font-size: 16px;
					color: #fff;
					opacity: 1;
				}
			}
			button[type="submit"] {
				background-color: transparent;
				padding: 16px 0;
				justify-content: flex-end;
			}
		}
		label {
			font-weight: 500;
			color: #fff;
			a {
	    		color: #fff;
	    	}
		}
	}
}

// Style message error contact form
.wpcf7 form.invalid .wpcf7-response-output, .wpcf7 form.unaccepted .wpcf7-response-output
,.wpcf7 form.failed .wpcf7-response-output, .wpcf7 form.aborted .wpcf7-response-output {
	border-color: red;
	color: red;
}
.wpcf7 form.sent .wpcf7-response-output {
    border-color: var(--primary);
}

// Style Contact Form
.ova-ctfrom7 {
	// Contact Us Form
	.form-contact-us {

		p {
			margin:0;
		}

		.form-left, .form-right {
			display: inline-flex;
			display: -webkit-inline-flex;
			column-gap: 20px;
			width: 100%;
			@media screen and (max-width: 460px) {
				flex-direction: column;
			}
		}

		input[type="text"], input[type="email"], input[type="tel"], textarea {
			-moz-transition: all .3s ease;
			-webkit-transition: all .3s ease;
			transition: all .3s ease;
			width: 100%;
			background-color: #fff;  
			box-sizing: border-box;
			border-radius: 0;
			padding: 25px 50px;
			outline: none;
			line-height: 19px;
			border:none;
			caret-color : var(--primary);
			&::placeholder {
				opacity: 0.7;
			    font-family: var(--secondary-font); 
                font-weight: 500;
			    font-size: 16px;
			    line-height: 19px;
			    color: var(--text);
			    font-feature-settings: 'pnum' on, 'lnum' on;
			}
			&:focus {
			   -moz-transition: all .3s ease;
			   -webkit-transition: all .3s ease;
			   transition: all .3s ease;
               font-weight: 600;
			   border-color: var(--primary);
			   border-width: 0 0 1.5px 0;
			    &::placeholder {
                    font-weight: 500;
			    }
			}
		}

		.ova_wrap_input {
			width: 100%;
			margin-bottom: 20px;
		}

		.name-info, .email, .message {
			@media screen and (max-width: 767px) {
				.wpcf7-form-control-wrap {
					width: 100%;
					input,  textarea {
						width: 100%;
					}
				}
			}
		}
		textarea {
			height: 185px;
			resize: none;
		}
		.ova-submit {
			position: relative;
			margin-top: 20px;
			background-color: var(--primary);
			z-index: 1;

			&:after {
                position: absolute;
			    content: "";
			    top: 0;
			    left: 0;
			    right: 0;
			    height: 100%;
			    background-color: var(--heading);
			    -webkit-transition-delay: .1s;
			    transition-delay: .1s;
			    -webkit-transition-timing-function: ease-in-out;
			    transition-timing-function: ease-in-out;
			    -webkit-transition-duration: .4s;
			    transition-duration: .4s;
			    -webkit-transition-property: all;
			    transition-property: all;
			    opacity: 1;
			    -webkit-transform-origin: top;
			    transform-origin: top;
			    -webkit-transform-style: preserve-3d;
			    transform-style: preserve-3d;
			    -webkit-transform: scaleY(0);
			    transform: scaleY(0);
			    z-index: -1;
            }

            &:hover {
            	&:after {
            		-webkit-transform: scaleY(1);
                    transform: scaleY(1);
            	}
            }

			input[type="submit"] {
				position: relative;
				width: 100%;
				padding: 24px;
				font-weight: 600;
				font-size: 14px;
				line-height: 1.2;
				text-transform: uppercase;
				background-color: transparent;
				letter-spacing: 0.16em;
				color: #fff;
				border: unset;
				-moz-transition: all .3s ease;
				-webkit-transition: all .3s ease;
				transition: all .3s ease;
				z-index: 1;
			}

			.wpcf7-spinner {
				position: absolute;
				top: 50%;
				margin: 0 10px;
			}	
		}
		.ajax-loader {
			@media screen and (max-width:767px ){
				margin-top: -24px;
				display: block;
			}
		}
	}

}

.version-2{
	.ova-subscribe-form button[type=submit]{
		
		border: 0.5px solid #FFFFFF;
		border-radius: 0px 2px 2px 0px;
		border-left: unset;
		background-color: transparent;
		height: 53px;
		i{
			color: #B882FC;
		}
	}

	.ova-subscribe-form input[type=email]{
		background: none;
		border: 0.5px solid #FFFFFF;
		border-radius: 2px 0px 0px 2px;
		border-right: unset;
		color: #FFFFFF;

		&::placeholder {
		  color: #FFFFFF;
		  opacity: 1; 
		}

		&:-ms-input-placeholder { 
		 color: #FFFFFF;
		}

		&::-ms-input-placeholder { 
		 color: #FFFFFF;
		}
	}

}

.ova-contact-page{
	position: relative;

	p {
		margin: 0;
	}

	input,textarea{
		font-size: 16px;
		font-weight: 500;
		font-family: var(--primary-font);
		&::placeholder {
		  color: var(--text);
		  opacity: 1; 
		}
		&:-ms-input-placeholder { 
		 color: var(--text);
		}
		&::-ms-input-placeholder {
		 color:var(--text);
		}
	}

	i{
		position: absolute;
		top: 28px;
    	display: flex;
		left: 0%;
		transform: translate(20px, -50%);
	}
	
	.ova-text{
		position: relative;
		overflow: hidden;
		margin-bottom: 30px;
	}

	.ova-phone{
		position: relative;
		overflow: hidden;
		margin-bottom: 30px;
	}

	input{
		width: 100%;
		border-color: #3494E6;
		padding: 17px 20px;
	    border-radius: 4px;
	}
	
	.ova-textarea{
		margin-bottom: 30px;
		position: relative;
		i{
		    position: absolute;
		    top: 30px;
		    left: 0%;
		    transform: translate(20px, -50%);
		}

		textarea{
			max-height: 145px;
			width: 100%;
			border-color: #3494E6;
			padding: 17px 15px;
			padding-left: 20px;
		    border-radius: 4px;

			@media(max-width: 479px){
				padding-left: 20px;
			}
		}
	}
	
	.ova-submit{
		button{
			position: relative;
			@include transaction( all, 0.3s, ease);
			padding: 10px 20px;
		    font-size: 16px;
    		font-weight: 400;
    		text-transform: capitalize;
			font-family: var(--primary-font);
			border: unset;
		    border-radius: 4px;
		    overflow: hidden;
		    background: linear-gradient(279.42deg, rgba(101, 45, 143, 0) -71.91%, rgba(0, 82, 248, 0.51) -28.36%, #B879E9 60.31%);
			span{
				position: relative;
				z-index: 1;
			}
			&:before{
				@include transaction( all, 0.3s, ease);
				content: '';
				width: 100%;
				height: 0%;
				display: block;
				position: absolute;
				z-index: 0;
				top: 0;
				left: 0;
				background: linear-gradient(95.02deg, #054DF7 -2.32%, #5E53E1 49.68%, #A880E7 92.23%);
			}

		    &:hover{
		    	@include transaction( all, 0.3s, ease);
		    	color: #FFFFFF;
		    	&:before{
		    		height: 100%;
		    	}
		    }
		}
	}
}